<script setup>
import { ref } from 'vue'

// 検索文字列は一旦双方向バインドせずこのコンポに閉じて、プレースホルダ文字列と検索実行時の呼び出しメソッドだけ親から渡す
const props = defineProps({
  placeholder: {
    type: String,
    default: 'Search'
  }
})
const emit = defineEmits(['submit'])

const searchQuery = ref('')
</script>

<template>
  <div>
    <form class="d-flex" name="search" @submit.prevent="$emit('submit', $event.target)">
      <input class="form-control me-2" name="text" type="searchQuery" :placeholder=props.placeholder aria-label="Search" v-model="searchQuery">
      <button class="btn btn-outline-success" type="submit">Search</button>
    </form>
  </div>
</template>

<style scoped>

</style>

